package com.cmx.hydrology.ui;


import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.webkit.WebResourceError;
import android.webkit.WebResourceRequest;
import android.webkit.WebSettings;
import android.webkit.WebView;
import android.webkit.WebViewClient;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;

import com.cmx.hydrology.databinding.FragmentMapBinding;
import com.cmx.hydrology.utils.AndroidtoJs;
import com.cmx.hydrology.utils.MyUtils;
import com.cmx.hydrology.view.BaseLoadingDialog;
import com.lsxiao.apollo.core.Apollo;
import com.lsxiao.apollo.core.contract.ApolloBinder;

public class MapFragment extends Fragment {

    private FragmentMapBinding binding;
    private BaseLoadingDialog mBaseLoadingDialog;
    private WebView mWebView;
    private ApolloBinder mApolloBinder;

    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        binding = FragmentMapBinding.inflate(inflater, container, false);
        mBaseLoadingDialog = new BaseLoadingDialog(getActivity());
        View root = binding.getRoot();
        mApolloBinder = Apollo.bind(this);
        MyUtils.setFullscreen(requireActivity(), false, false);
        MyUtils.setAndroidNativeLightStatusBar(requireActivity(), true);
        mWebView = binding.wvMine;
        WebSettings webSettings = mWebView.getSettings();
        webSettings.setJavaScriptEnabled(true);
        webSettings.setCacheMode(WebSettings.LOAD_CACHE_ELSE_NETWORK);
        webSettings.setDomStorageEnabled(true);
        mWebView.addJavascriptInterface(new AndroidtoJs(), "AndroidtoJs");
        //        mWebView.loadUrl(SERVER_URL + "/nigeria/?lang=English#/my");
        //        showDialog();
        mWebView.setWebViewClient(new WebViewClient() {
                                      @Override
                                      public boolean shouldOverrideUrlLoading(WebView view, String url) {
                                          //使用WebView加载显示url
                                          view.loadUrl(url);
                                          //返回true
                                          return true;
                                      }

                                      @Override
                                      public void onPageFinished(WebView view, String url) {
                                          disDialog();
                                      }

                                      @Override
                                      public void onReceivedError(WebView view, WebResourceRequest request, WebResourceError error) {
                                          disDialog();
                                      }
                                  }

        );
        return root;
    }


    @Override
    public void onDestroyView() {
        super.onDestroyView();
        binding = null;
        if (mApolloBinder != null) {
            mApolloBinder.unbind();
        }
    }

    public void showDialog() {
        mBaseLoadingDialog = new BaseLoadingDialog(getActivity());
        if (!mBaseLoadingDialog.isShowing()) {
            mBaseLoadingDialog.show();
        }
    }


    public void disDialog() {
        if (mBaseLoadingDialog.isShowing()) {
            mBaseLoadingDialog.dismiss();
        }
    }
}